% Sound Description Toolbox
% Assembled (and partially written) by Emmanouil Benetos
% with a little help by M. Kotti & C. Kotropoulos

% Inspired by: G. Peeters, "A large set of audio features for sound 
% description in the CUIDADO project", IRCAM Technical Report, 2004.



addpath('Energy');

% AP.m - AudioPower

addpath('Harmonic');

% AFF.m - AudioFundamentalFrequency
% AH.m  - AudioHarmonicity

addpath('Perceptual');

% TL_SONE.m - Total Loudness and specific loudness sensation  

addpath('Spectral');

% ASC.m - AudioSpectrumCentroid
% ASR.m - Spectrum Rolloff Frequency
% ASS.m - AudioSpectrumSpread
% MFCC.m - Mel-frequency cepstral coefficients

addpath('Temporal');

% AC.m - AutoCorrelation Values
% LAT.m - Log Attack Time
% TC.m - Temporal Centroid
% ZCR.m - Zero Crossing Rate

addpath('Various');

% ASF.m - AudioSpectrumFlattness


